Subject: [nemo] issue 35 on simplex and bidir tunnels

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 01 Apr 2004 18:11:55 +0200

[Repost to include the right addresses]

IESG Reviewers H. Alvestrand and Michael Patton (GEN-ART rev):
| In the second paragraph of 5.5 they talk about the single
| bi-directional tunnel and two simplex tunnels.  They need to get
| their terminology straight.

Ok, the 2nd par of section 5.5 is:
| The bi-directional tunnel between Mobile Router and Home Agent allows
|  packets to flow in both directions between these entities, while the
|  Mobile Router is connected to a Visited Link.  The bi-directional
| tunnel involves two virtual links [3]:  one virtual link has the
| address of the tunnel entry point as the Care-of Address of the
| Mobile Router and the tunnel exit point as the address of the Home
| Agent; the other virtual link has as tunnel entry point the Home
| Agent address and as tunnel exit point the Care-of Address of the
| Mobile Router.  Both addresses are unicast addresses.  All IPv6
| traffic to and from the mobile network is sent through this
| bi-directional tunnel.

I do not know whether "simplex tunnel" is defined anywhere, I was
looking for such a term. If it exists, it should be used. Maybe a
terminology issue here, Thierry?

Formulation could of course be improved and I suggest (I substituted
"as" with "equalling" and replaced ", while" with "whenever" on 2nd line):

| The bi-directional tunnel between Mobile Router and Home Agent allows
|  packets to flow in both directions between these entities whenever
| the Mobile Router is connected to a Visited Link.  The bi-directional
|  tunnel involves two virtual links [3]: one virtual link has the
| address of the tunnel entry point equalling the Care-of Address of
| the Mobile Router and the address of the tunnel exit point equalling
|  the address of the Home Agent; the other virtual link has the
| address of the tunnel entry point equalling the Home Agent address
| and the address of the tunnel exit point equalling the Care-of
| Address of the Mobile Router.  Both the Home Agent address and the
| Care-of Address are unicast addresses.  All IPv6 traffic to and from
| the mobile network is sent through this bi-directional tunnel.

Alex